# Method: organizations.locations.global.policyOrchestrators.list

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/organizations.locations.global.policyOrchestrators/list#try-it)

Lists the policy orchestrators under the given parent organization resource.

### HTTP request

`GET https://osconfig.googleapis.com/v2beta/{parent=organizations/*/locations/global}/policyOrchestrators`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v2beta/ListPolicyOrchestratorsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).